%define upstream_name	 Config-IniFiles
%define upstream_version 3.000003

%{?perl_default_filter}
# Useless requires on perl >= 5.008 that pulls perl instead of perl-base:
%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}5.008

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    A module for reading .ini-style configuration files
License:    GPL
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}/
Source0:    https://cpan.metacpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(English)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Fcntl)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(IO::File)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IO::Scalar)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::Util) >= 1.330.0
BuildRequires: perl(Module::Build) >= 0.280.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Symbol)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(base)
BuildRequires: perl(lib)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This perl module allows you to access to config files written in the
.ini style.

%prep
%setup -q -n Config-IniFiles-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Config
%{_mandir}/*/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 3.0.3-3.mga10
+ Revision: 2205967
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 3.0.3-2.mga9
+ Revision: 1812510
- Mageia 9 Mass Rebuild

* Tue Mar 24 2020 shlomif <shlomif> 3.0.3-1.mga8
+ Revision: 1559487
- update to 3.000003

* Sat Feb 15 2020 umeabot <umeabot> 3.0.2-2.mga8
+ Revision: 1523874
- Mageia 8 Mass Rebuild

* Fri Mar 15 2019 shlomif <shlomif> 3.0.2-1.mga7
+ Revision: 1377310
- update to 3.000002

* Wed Jan 16 2019 tv <tv> 3.0.1-1.mga7
+ Revision: 1357412
- new release

* Thu Sep 20 2018 umeabot <umeabot> 3.0.0-2.mga7
+ Revision: 1282358
- Mageia 7 Mass Rebuild

* Fri Sep 14 2018 shlomif <shlomif> 3.0.0-1.mga7
+ Revision: 1258968
- New version 3.0000000

* Thu Aug 09 2018 tv <tv> 2.980.0-2.mga7
+ Revision: 1250589
- rebuild for perl-5.28

* Sat Apr 21 2018 tv <tv> 2.980.0-1.mga7
+ Revision: 1220764
- update to 2.98

* Sat Apr 07 2018 tv <tv> 2.960.0-1.mga7
+ Revision: 1215977
- update to 2.96

* Sat Mar 17 2018 tv <tv> 2.950.0-1.mga7
+ Revision: 1210071
- update to 2.95

* Sun Jul 30 2017 shlomif <shlomif> 2.940.0-1.mga7
+ Revision: 1132748
- New version 2.94.

* Mon Jun 06 2016 tv <tv> 2.890.0-2.mga6
+ Revision: 1020398
- unbloat default install: prevent pulling full perl...

* Sat May 07 2016 luigiwalser <luigiwalser> 2.890.0-1.mga6
+ Revision: 1010090
- 2.89

* Fri Feb 19 2016 umeabot <umeabot> 2.880.0-2.mga6
+ Revision: 968542
- Mageia 6 Mass Rebuild

* Mon Jul 13 2015 sander85 <sander85> 2.880.0-1.mga6
+ Revision: 853566
- update to 2.88

* Sun Jul 05 2015 sander85 <sander85> 2.870.0-1.mga6
+ Revision: 851363
- update to 2.87

* Wed Oct 15 2014 umeabot <umeabot> 2.830.0-3.mga5
+ Revision: 747725
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.830.0-2.mga5
+ Revision: 683984
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 2.830.0-1.mga5
+ Revision: 588250
- update to 2.83

* Sat Oct 19 2013 umeabot <umeabot> 2.820.0-2.mga4
+ Revision: 526824
- Mageia 4 Mass Rebuild

* Fri Jun 07 2013 jquelin <jquelin> 2.820.0-1.mga4
+ Revision: 438893
- update to 2.82

* Sun Jan 13 2013 umeabot <umeabot> 2.780.0-2.mga3
+ Revision: 364659
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Nov 06 2012 jquelin <jquelin> 2.780.0-1.mga3
+ Revision: 314865
- update to 2.78

* Tue Jul 03 2012 kharec <kharec> 2.770.0-1.mga3
+ Revision: 266936
- update to 2.77

* Mon Jun 18 2012 kharec <kharec> 2.760.0-1.mga3
+ Revision: 261496
- update to 2.76

* Mon May 28 2012 jquelin <jquelin> 2.750.0-1.mga3
+ Revision: 247849
- update to 2.75

* Wed May 23 2012 jquelin <jquelin> 2.730.0-1.mga3
+ Revision: 236004
- update to 2.73

* Wed Jun 22 2011 jquelin <jquelin> 2.680.0-1.mga2
+ Revision: 112183
- update to 2.68

* Fri Feb 18 2011 jquelin <jquelin> 2.660.0-1.mga1
+ Revision: 53721
- update to 2.66

* Fri Jan 21 2011 jquelin <jquelin> 2.650.0-2.mga1
+ Revision: 29345
- rebuild
- mageia rebuild
- cleaning spec file

* Wed Jan 12 2011 jquelin <jquelin> 2.650.0-1.mga1
+ Revision: 7338
- imported package perl-Config-IniFiles


* Sat Nov 27 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.650.0-1mdv2011.0
+ Revision: 601862
- update to new version 2.65

* Sun Nov 21 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.640.0-1mdv2011.0
+ Revision: 599548
- update to new version 2.64

* Tue Nov 16 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.610.0-1mdv2011.0
+ Revision: 598079
- update to new version 2.61

* Sun Aug 01 2010 Funda Wang <fwang@mandriva.org> 2.580.0-2mdv2011.0
+ Revision: 564731
- rebuild for perl 5.12.1

* Wed Jul 14 2010 Jérôme Quelin <jquelin@mandriva.org> 2.580.0-1mdv2011.0
+ Revision: 553076
- update to 2.58

* Tue Mar 02 2010 Jérôme Quelin <jquelin@mandriva.org> 2.570.0-1mdv2010.1
+ Revision: 513472
- update to 2.57

* Thu Dec 31 2009 Jérôme Quelin <jquelin@mandriva.org> 2.560.0-1mdv2010.1
+ Revision: 484371
- update to 2.56

* Wed Dec 23 2009 Jérôme Quelin <jquelin@mandriva.org> 2.550.0-1mdv2010.1
+ Revision: 481708
- update to 2.55

* Thu Nov 19 2009 Jérôme Quelin <jquelin@mandriva.org> 2.540.0-1mdv2010.1
+ Revision: 467358
- update to 2.54

* Sat Nov 14 2009 Jérôme Quelin <jquelin@mandriva.org> 2.530.0-1mdv2010.1
+ Revision: 465997
- update to 2.53

* Fri Jul 17 2009 Jérôme Quelin <jquelin@mandriva.org> 2.520.0-1mdv2010.0
+ Revision: 396841
- rebuild for new automatic procides extraction
- using %%perl_convert_version

* Mon Jun 29 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.52-1mdv2010.0
+ Revision: 390521
- update to new version 2.52

* Tue Jun 09 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.51-1mdv2010.0
+ Revision: 384239
- update to new version 2.51

* Sun Jun 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.50-1mdv2010.0
+ Revision: 383475
- update to new version 2.50

* Tue May 05 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.49-1mdv2010.0
+ Revision: 372089
- update to new version 2.49

* Fri May 01 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.48-1mdv2010.0
+ Revision: 370044
- update to new version 2.48

* Fri Jan 23 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.47-1mdv2009.1
+ Revision: 332845
- update to new version 2.47

* Sun Jan 18 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.46-1mdv2009.1
+ Revision: 330907
- update to new version 2.46

* Mon Dec 29 2008 Guillaume Rousse <guillomovitch@mandriva.org> 2.45-1mdv2009.1
+ Revision: 320944
- new version

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 2.39-4mdv2009.0
+ Revision: 223575
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 2.39-3mdv2008.1
+ Revision: 136690
- restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 17 2007 Thierry Vignaud <tv@mandriva.org> 2.39-3mdv2008.0
+ Revision: 64793
- rebuild


* Sat Feb 03 2007 Olivier Thauvin <nanardon@mandriva.org> 2.39-2mdv2007.0
+ Revision: 116052
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-Config-IniFiles

* Tue Jan 31 2006 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 2.39-1mdk
- 2.39
- spec cleanup
- Add tests

* Tue Feb 15 2005 Michael Scherer <misc@mandrake.org> 2.38-3mdk
- Rebuild
- Fix description, and rpmlint warning.

* Wed Feb 25 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 2.38-2mdk
- rebuild
- fix url
- own dir
- cosmetic

